import { BaseEntity, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @UpdateDateColumn({
    type: 'timestamp without time zone',
  })
  timestamp: Date;

  @CreateDateColumn({
    type: 'timestamp without time zone',
  })
  created_at: Date;

  @UpdateDateColumn({
    type: 'timestamp without time zone',
  })
  updated_at: Date;
}
